.TH MROTATE 1 "Dec 2016" "Montage 5" "Montage"
.SH NAME
mRotate \- Rotate a FITS image by an arbitrary angle

.SH SYNOPSIS
mRotate [\-d \fIlevel\fP] [\-s \fIstatusfile\fP] [\-r \fIrotang\fP] in.fits out.fits [\fIra dec xsize\fP [\fIysize\fP]]

.SH DESCRIPTION
Rotates a FITS image by an arbitrary angle.  This module is meant for quick-look only; it is not flux conserving.

.SH OPTIONS
.TP
\-d \fIlevel\fP
Print out additional debugging information (\fIlevel\fP can be 1\-3)
.TP
\-s \fIstatusfile\fP
Output and errors are written to \fIstatusfile\fP instead of stdout.
.TP
\-r \fIrotang\fP
Provide an angle (in degrees) to rotate the image.

.SH ARGUMENTS
.TP
in.fits
Input FITS image.
.TP
out.fits
Path to output (rotated) FITS image.
.TP
ra dec xsize
Center location and width (in degrees) of output image \- optional.  By default, entire input image area will be included in output image.
.TP
ysize
Height (in degrees) of output image, if a new center location and width are provided.  Optional \- defaults to \fIxsize\fP.

.SH RESULT
\fB[struct stat="OK"]\fP
.PP
Output file will contain the same image as the input file, but rotated by \fIrotang\fP degrees.  If a new center location and width were provided, the output image will be the "subimage" covering that area.

.SH MESSAGES
.TP
OK
[struct stat="OK"]
.TP
ERROR
No status file name given
.TP
ERROR
Cannot open status file: \fIstatusfile\fP
.TP
ERROR
No rotation angle given
.TP
ERROR
Rotation angle string is invalid: '\fIrotang\fP'
.TP
ERROR
No debug level given
.TP
ERROR
Debug level string is invalid: '\fIlevel\fP'
.TP
ERROR
Debug level value cannot be negative
.TP
ERROR
Invalid input file '\fIin.fits\fP'
.TP
ERROR
Invalid output file '\fIout.fits\fP'
.TP
ERROR
Center RA string (\fIra\fP) cannot be interpreted as a real number
.TP
ERROR
Center Dec string (\fIdec\fP) cannot be interpreted as a real number
.TP
ERROR
X size string (\fIxsize\fP) cannot be interpreted as a real number
.TP
ERROR
Y size string (\fIysize\fP) cannot be interpreted as a real number
.TP
ERROR
Invalid 'x' size
.TP
ERROR
Invalid 'y' size
.TP
ERROR
Location is off image
.TP
ERROR
No pixels match output area
.TP
ERROR
No pixels match input area
.TP
ERROR
wcsinit() failed
.TP
ERROR
Image file \fIin.fits\fP missing or invalid FITS
.TP
ERROR
\fIFITS library error\fP

.SH EXAMPLES
.TP
$ mRotate \-r 90 in.fits out.fits
[struct stat="OK"]

.SH BUGS
The drizzle algorithm has been implemented but has not been tested
in this release.
.PP
If a header template contains carriage returns (i.e., created/modified
on a Windows machine), the cfitsio library will be unable to read it
properly, resulting in the error: [struct stat="ERROR", status=207,
msg="illegal character in keyword"]
.PP
It is best for the background correction algorithms if the area
described in the header template completely encloses all of the input
images in their entirety. If parts of input images are "chopped off"
by the header template, the background correction will be affected. We
recommend you use an expanded header for the reprojection and
background modeling steps, returning to the originally desired header
size for the final coaddition. The default background matching assumes
that there are no non-linear background variations in the individual
images (and therefore in the overlap differences). If there is any
uncertainty in this regard, it is safer to turn on the "level only"
background matching (the "\-l" flag in mBgModel.

.SH COPYRIGHT
2001-2015 California Institute of Technology, Pasadena, California
.PP
If your research uses Montage, please include the following
acknowledgement: "This research made use of Montage. It is funded by
the National Science Foundation under Grant Number ACI-1440620, and
was previously funded by the National Aeronautics and Space
Administration's Earth Science Technology Office, Computation
Technologies Project, under Cooperative Agreement Number NCC5-626
between NASA and the California Institute of Technology."
.PP
The Montage distribution includes an adaptation of the MOPEX algorithm
developed at the Spitzer Science Center.
